SERVICE_NAME = 'gdas'

require_relative 'boot'

# TODO: https://github.com/jruby/jruby/issues/4557
# require 'active_support/all'

# Until then, use this. Maybe this is the better way to go anyway?
require 'active_support'
ActiveSupport.eager_load!

require 'json'
require 'rake'
require 'uri'

Bundler.require(:libraries)
Bundler.require(:scheduler)

require 'cht-svc-gdas'

# The minimum set of dry initializers to support life in this framework
MINIMUM_DRY_COMPONENTS = ["_auto_inject", "_logging", "_runtime", "clockwork", "datadog", "redis", "rollbar", "sidekiq", "sidekiq_ui"]
MINIMUM_DRY_COMPONENTS.each {|f| require File.join(__dir__, 'initializers', "#{f}.rb")}
