require 'cht-svc-gdas/aws_iam_credentials'
require 'cht-lib-fabric/clients/aws_iam_credentials'

class ImportRegistry
  namespace 'gdas' do
    register 'iam_credentials' do
      # Use EC2 metadata service in us1 environment
      if ENV['USE_EC2_METADATA_SERVICE'] == "1"
        @aws_iam_credentials ||= Platform::Clients::AwsIamCredentials.new
      else
        @aws_iam_credentials ||= Gdas::AwsIamCredentials.new
      end
    end
  end
end
