module Clockwork
  Clockwork.configure do |config|
    config[:logger] = ::ImportRegistry.resolve('logger')
  end

  error_handler do |error|
    ::ImportRegistry.resolve('alert').exception error
  end

  # TODO: Open a PR w/ https://github.com/Rykian/clockwork to implement for real
  class Manager
    def unregister(job)
      @events.delete_if { |e| e.to_s == job }
    end

    def remove(events)
      events.each { |e| @events.delete e }
    end

    def length
      @events.length
    end
  end
end
